-- localisations
local L = AceLibrary("AceLocale-2.2"):new("ShakedownCutup")
L:RegisterTranslations("enUS", function() return {
	["Cutup"] = true,
} end)

local AddOn = ShakedownAddonBase:new("Cutup", L["Cutup"])

function AddOn:Activate()
	if not AddOn.class.prototype.Activate(self) then return end

	if Cutup and Cutup:IsActive() then
		if Cutup:IsModuleActive("Julienne") then
			Cutup.options.args.Julienne.args.lock.set(false)
		end
		if Cutup:IsModuleActive("TickToxin") then
			Cutup:GetModule("TickToxin").ToggleAnchor(true)
		end
	end
end

function AddOn:Deactivate()
	AddOn.class.prototype.Deactivate(self)

	if Cutup and Cutup:IsActive() then
		if Cutup:IsModuleActive("Julienne") then
			Cutup.options.args.Julienne.args.lock.set(true)
		end
		if Cutup:IsModuleActive("TickToxin") then
			Cutup:GetModule("TickToxin").ToggleAnchor(false)
		end
	end
end
